#include <bits/stdc++.h>
using namespace std;
  int n,q,a[200005],b[200005],me;
  map <int,int> m;
void setq(){ //n-(n-i)+1
  for(int i=1; i<=q){
    cin >> b[i];
    if(me<b[i]){
      for(int j=me; j>=b[i]; j--){
        if(b[j]<me){

        }
      }
    }
  }
}
int main(){
  cin >> n >> q;
  for(int i=1; i<=n){
    cin >> a[i];
  }
  sort(a+1,a+n+1);
  if(n%2==0){
    me=(n/2)+1;
  }
  else{
    me=n/2;
  }
  if(q==1){setq();}
  return 0;
}